org.apache.tomcat.util.threads

## Class InlineExecutorService

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - org.apache.tomcat.util.threads.InlineExecutorService

- All Implemented Interfaces:
    Executor, ExecutorService

      public class InlineExecutorService
      extends AbstractExecutorService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InlineExecutorService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `awaitTermination(long timeout, TimeUnit unit)`
    `void` | `execute(Runnable command)`
    `boolean` | `isShutdown()`
    `boolean` | `isTerminated()`
    `void` | `shutdown()`
    `List<Runnable>` | `shutdownNow()`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InlineExecutorService

          public InlineExecutorService()

  - ### Method Detail

    - #### shutdown

          public void shutdown()

    - #### shutdownNow

          public List<Runnable> shutdownNow()

    - #### isShutdown

          public boolean isShutdown()

    - #### isTerminated

          public boolean isTerminated()

    - #### awaitTermination

          public boolean awaitTermination(long timeout,
                                          TimeUnit unit)
                                   throws InterruptedException

      Throws:
        `InterruptedException`

    - #### execute

          public void execute(Runnable command)

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.